Bug 42153 - SNMP walk of mib-2 does not finish successfully with ucd-snmp-4.2-14 (IA64)
SNMP walk of mib-2 does not finish successfully with ucd-snmp-4.2-14 (IA64)
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-05-24 11:48 EDT by Matt Domsch
Modified: 2015-03-04 20:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-11 12:30:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ipAddr.c (15.21 KB, text/plain)
2001-06-08 11:05 EDT, Matt Domsch
no flags Details
tcpTable.c (15.52 KB, text/plain)
2001-06-08 11:06 EDT, Matt Domsch
no flags Details
hr_swinst.c (14.81 KB, text/plain)
2001-06-08 11:06 EDT, Matt Domsch
no flags Details
doug-snmpwalk.patch (2.52 KB, patch)
2001-07-11 12:19 EDT, Matt Domsch
no flags Details | Diff

  None (edit)
Description Matt Domsch 2001-05-24 11:48:00 EDT
Description of Problem:
When you ust snmpwalk to walk mib-2, the walk does not finish 
successfully.  The walk successfully returns all instances of 
ipAdEntNetMask, but it stops and does not return any instances of 

How Reproducible:

Steps to Reproduce: 
On IA64 machine running ucd-snmp-2.4-14, do the following:
1. Make sure ucd-snmp-utils-4.2-14 is installed.
2. Make sure public has read access to mib-2 branch of the MIB tree.
3. Run the following command:
snmpwalk localhost public mib-2
4. The walk will not go past ipAdEntNetMask when it should.

Actual Results:
The walk will not go past ipAdEntNetMask when it should.

Expected Results:

Additional Information:
Comment 1 Phil Knirsch 2001-06-05 15:43:11 EDT
Fixed version should be available via Rawhide.

Read ya, Phil
Comment 2 Matt Domsch 2001-06-06 11:56:21 EDT
> From: Warzecha, Douglas 
> Sent: Wednesday, June 06, 2001 10:28 AM
> It looks like it fixes the 8-byte IP address issues but not 
> the SNMP walk issue.

I'm re-opening this issue.
Comment 3 Matt Domsch 2001-06-08 11:03:55 EDT
> From: Warzecha, Douglas 
> Sent: Friday, June 08, 2001 9:47 AM
> I found 2 more problems with SNMP walk of MIB-II on IA64.  
> I've updated DFCT33570 with 3 source files to fix the 3 
> problems I found with SNMP walk.  If Red Hat can verify the 
> fixes and add it to their ia64 patch for ucd-snmp, I'm ready 
> to test a new ucd-snmp package whenever it's ready.

I'll attach Doug's updated files.
Comment 4 Matt Domsch 2001-06-08 11:05:42 EDT
Created attachment 20615 [details]
Comment 5 Matt Domsch 2001-06-08 11:06:12 EDT
Created attachment 20616 [details]
Comment 6 Matt Domsch 2001-06-08 11:06:52 EDT
Created attachment 20617 [details]
Comment 7 Bill Nottingham 2001-06-08 11:43:52 EDT
Um, the first patch *removes* fixes we added at their request in the last version.
Comment 8 Matt Domsch 2001-06-08 14:01:37 EDT
> From: Warzecha, Douglas 
> Sent: Friday, June 08, 2001 11:54 AM
> That part of the ipAddr.c fix was wrong and caused the 
> original walk problem reported.  My original fix for ipAddr.c 
> was lost when someone reused the hard drive that had the fix. 
>  I hastily did the fix again for Ed Blazek to give to Red 
> Hat.  The second time I erroneously made a change for 
> ipAdEntBcastAddr which is not of type IpAddress and didn't 
> need a change.

Matt D asked:
> With these in place, does it all work for you now, or 
> are there still issues?

Doug responded:
> I don't know of any other issues right now.  Knock on wood.

Looks like, with the three files attached in the build, it all works properly 
Comment 9 Matt Domsch 2001-07-11 12:19:25 EDT
Created attachment 23311 [details]
Comment 10 Matt Domsch 2001-07-11 12:24:20 EDT
doug-snmpwalk.patch applies as patch 5 (after the IA-64 patch) to 4.2-16, and 
solves this issue (and fixes a mistake in ipAddr.c made in the IA-64 patch).

It also applies cleanly to 4.2.1-2.  (as written, apply with patch -p0).

-----Original Message-----
From: Warzecha, Douglas 
Sent: Wednesday, July 11, 2001 10:59 AM

As best as I can tell, the patch looks correct.  If this patch is applied as-
is, it needs to be applied after the current "ia64" patch.  If not, two of the 
fixes for 8-byte IP addresses will be lost in ipAddr.c.  This patch undoes one 
erroneous fix done to ipAddr.c by a previous patch, but this patch does not do 
the two other fixes done for 8-byte IP addresses in ipAddr.c.


Comment 11 Phil Knirsch 2001-07-19 09:43:36 EDT
OK, i have checked the patch and it looked ok, included it in the current
version and it seems to fix this and several other snmpwalk related problems.

Thanks for the patch, Doug, and thanks for reporting and tracking the state of
this problem, Matt!

Rawhide should have an updated version included real soon now. :)

Read ya, Phil
Comment 12 Matt Domsch 2001-07-19 10:43:31 EDT
Phil, can you push this and any other patches upstream?

Note You need to log in before you can comment on or make changes to this bug.